editors/featherpad - The NetBSD Packages Collection

Lightweight Qt5 plain-text editor

FeatherPad is a lightweight Qt5 plain-text editor.
It is independent of any desktop environment and has:
  * Drag-and-drop support, including tab detachment and attachment;
  * X11 virtual desktop awareness;
  * An optionally permanent search-bar;
  * Instant highlighting of found matches when searching;
  * A docked window for text replacement;
  * Support for line numbers and jumping to a specific line;
  * Automatic detection of text encoding;
  * Syntax highlighting for common programming languages;
  * Ability to open URLs with appropriate applications;
  * Session management;
  * Side-pane mode;
  * Auto-saving;
  * Spell checking with Hunspell;
  * Printing;
  * Text zooming;
  * Haiku OS and macOS support.

Build dependencies

x11/xorgproto x11/xcb-proto pkgtools/cwrappers x11/qt5-qttools devel/glib2-tools devel/cmake devel/pkgconf

Runtime dependencies

x11/qt5-qtbase x11/libX11 x11/libX11 x11/libXext x11/libXext x11/qt5-qtx11extras x11/qt5-qtsvg textproc/hunspell graphics/hicolor-icon-theme x11/qt5-qtbase x11/libX11 x11/qt5-qtx11extras x11/qt5-qtsvg textproc/hunspell graphics/hicolor-icon-theme

Binary packages

OSArchitectureVersion
NetBSD 8.0earmv7hffeatherpad-1.0.0.tgz
NetBSD 8.0earmv7hffeatherpad-0.18.0nb1.tgz
NetBSD 8.0powerpcfeatherpad-0.18.0.tgz
NetBSD 8.0x86_64featherpad-0.18.0.tgz
NetBSD 8.0x86_64featherpad-0.18.0nb1.tgz
NetBSD 9.0aarch64featherpad-1.0.0.tgz
NetBSD 9.0aarch64featherpad-0.18.0.tgz
NetBSD 9.0aarch64featherpad-0.18.0nb1.tgz
NetBSD 9.0earmv6hffeatherpad-1.0.0.tgz
NetBSD 9.0earmv6hffeatherpad-0.18.0nb1.tgz
NetBSD 9.0earmv7hffeatherpad-1.0.0.tgz
NetBSD 9.0earmv7hffeatherpad-0.18.0nb1.tgz
NetBSD 9.0i386featherpad-0.18.0.tgz
NetBSD 9.0mips64ebfeatherpad-1.0.0.tgz
NetBSD 9.0powerpcfeatherpad-0.18.0.tgz
NetBSD 9.0sparc64featherpad-0.18.0nb1.tgz
NetBSD 9.0sparc64featherpad-0.18.0.tgz
NetBSD 9.0sparc64featherpad-1.0.0.tgz
NetBSD 9.0x86_64featherpad-0.18.0nb1.tgz
NetBSD 9.0x86_64featherpad-1.0.0.tgz
NetBSD 9.0x86_64featherpad-0.18.0.tgz
NetBSD 9.0x86_64featherpad-0.18.0nb1.tgz
NetBSD 9.0x86_64featherpad-1.0.0.tgz

Binary packages can be installed with the high-level tool pkgin (which can be installed with pkg_add) or pkg_add(1) (installed by default). The NetBSD packages collection is also designed to permit easy installation from source.

Available build options

(none)

Known vulnerabilities

The pkg_admin audit command locates any installed package which has been mentioned in security advisories as having vulnerabilities.

Please note the vulnerabilities database might not be fully accurate, and not every bug is exploitable with every configuration.


Problem reports, updates or suggestions for this package should be reported with send-pr.